import 'package:fis_measure/utils/number.dart';

class ObstetricsFormulas {
  ObstetricsFormulas._();

  /// (D1 + D2 + D3)/3.0
  ///
  /// return Unit cm
  ///
  /// [d1] Unit cm
  ///
  /// [d2] Unit cm
  ///
  /// [d3] Unit cm
  static double gsMean(double d1, double d2, double d3) {
    double mean = double.nan;
    if (!NumUtil.almostEquals(d1, 0) &&
        !NumUtil.almostEquals(d2, 0) &&
        !NumUtil.almostEquals(d3, 0)) {
      mean = (d1 + d2 + d3) / 3;
    }
    return mean;
  }
}
